diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 3de489e..bfbb6f7 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -1355,7 +1355,38 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
     <row>
      <entry><structfield>state</></entry>
      <entry><type>text</></entry>
-     <entry>Current WAL sender state</entry>
+     <entry>Current WAL sender state.
+       Possible values are:
+       <itemizedlist>
+         <listitem>
+          <para>
+           <literal>backup</>: The WAL sender is sending a backup.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>catchup</>: The WAL sender is catching up
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>streaming</>: The WAL sender is catching up with the
+           primary.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>startup</>: The WAL sender is starting.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>streaming</>: The WAL sender has caught up with the
+           primary and is streaming changes.
+          </para>
+         </listitem>
+       </itemizedlist>
+     </entry>
     </row>
     <row>
      <entry><structfield>sent_location</></entry>
@@ -1389,7 +1420,27 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
     <row>
      <entry><structfield>sync_state</></entry>
      <entry><type>text</></entry>
-     <entry>Synchronous state of this standby server</entry>
+     <entry>Synchronous state of this standby server.
+       Possible values are:
+       <itemizedlist>
+         <listitem>
+          <para>
+           <literal>async</>: Standby server is asynchronous.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>potential</>: Standby server can potentially become
+           synchronous.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>sync</>: Standby server is synchronous.
+          </para>
+         </listitem>
+       </itemizedlist>
+     </entry>
     </row>
    </tbody>
    </tgroup>
